@echo off
if not x==x%JAVA_HOME% goto have_java_home
  echo "** ERROR: JAVA_HOME variable not set. Sorry, can't find java command."
  echo "You might want to edit the launch.bat file and set JAVA_HOME."
  goto end
:have_java_home
if exist %JAVA_HOME%\bin\java.exe goto valid_java_home
  echo "** ERROR: JAVA_HOME variable invalid. Sorry can't find java command."
  echo "You might want to edit the launch.bat file and set JAVA_HOME."
  goto end
:valid_java_home
%JAVA_HOME%\bin\java -classpath lib/resourceful.jar;lib/hsqldb.jar;lib/xalan.jar;lib/xcommerce.jar;%JAVA_HOME%/lib/tools.jar;lib/javax.servlet.jar;lib/org.mortbay.jetty.jar;lib/activation.jar;lib/mail.jar;lib/org.apache.jasper.jar;lib/xerces.jar;lib/soap.jar -Dorg.xml.sax.parser=org.apache.xerces.parsers.SAXParser org.mortbay.jetty.Server etc/jetty.xml
:end
echo "Done"